function struct=read_file(name,whole);
%READ_FILE - ???
%
%   Usage:
%      struct=read_file(name,whole)

fid=fopen(name,'r');
i=0;
while (~feof(fid)),
   i=i+1;
   A=readline(fid,2);
A=readline(fid,2);
A=readline(fid,4);
[A,bytecount]=fscanf(fid,'%i %f',[1 2]);
if whole==1,
   struct(i).nods=A(1);
else
   struct(i).nods=A(1)-1;
end
A=readline(fid,5);

struct(i).x=zeros(struct(i).nods,1);
struct(i).y=zeros(struct(i).nods,1);

for n=1:struct(i).nods,
   [A,bytecount]=fscanf(fid,'%f %f',[1 2]);
   struct(i).x(n)=A(1);
   struct(i).y(n)=A(2);
end
if whole==0,
   fscanf(fid,'%f %f',[1 2]);
end

end
fclose(fid);







